# Unit net

Description
Uses
Classes, Interfaces, Objects and Records
Functions and Procedures
Types
Constants
Variables

## Description

Driver->`Net`->L1->`Net` - Network Card<->Driver Interface.

## Uses

- tracer
- console
- nettypes
- netutils
- netlog
- RTC

## Overview

### Functions and Procedures

`procedure init;`
`procedure registerNetworkCard(SendCallback : TNetSendCallback; _MAC : puint8);`
`procedure registerNextLayer(RecvCallback : TRecvCallback);`
`procedure send(p_data : void; p_len : uint16);`
`procedure recv(p_data : void; p_len : uint16);`
`function getMAC : puint8;`
`procedure writeToLog(str : pchar);`
`procedure writeToLogLn(str : pchar);`

## Description

### Functions and Procedures

`procedure init;`

`procedure registerNetworkCard(SendCallback : TNetSendCallback; _MAC : puint8);`

`procedure registerNextLayer(RecvCallback : TRecvCallback);`

`procedure send(p_data : void; p_len : uint16);`

`procedure recv(p_data : void; p_len : uint16);`

`function getMAC : puint8;`

`procedure writeToLog(str : pchar);`

`procedure writeToLogLn(str : pchar);`

## Author

- Kieron Morris <kjm@kieronmorris.me>

Generated by PasDoc 0.15.0.